Timeregistrationentry 10 endpoints

GET /companies({company_id})/employees({employee_id})/timeRegistrationEntries
operationId: TimeRegistrationEntry_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

employee_id path required string

(v1.0) id for employee

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of timeRegistrationEntries

GET /companies({company_id})/employees({employee_id})/timeRegistrationEntries
POST /companies({company_id})/employees({employee_id})/timeRegistrationEntries
operationId: TimeRegistrationEntry_createDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

employee_id path required string

(v1.0) id for employee

Request Body

application/json
schema TimeRegistrationEntryCreateDynamicsObjectRequest

Responses

201

(v1.0) A new timeRegistrationEntry has been succesfully created

POST /companies({company_id})/employees({employee_id})/timeRegistrationEntries
DELETE /companies({company_id})/employees({employee_id})/timeRegistrationEntries({timeRegistrationEntry_id})
operationId: TimeRegistrationEntry_deleteD365Object

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

employee_id path required string

(v1.0) id for employee

timeRegistrationEntry_id path required string

(v1.0) id for timeRegistrationEntry

Responses

204

(v1.0) Succesfully deleted the specified timeRegistrationEntry

DELETE /companies({company_id})/employees({employee_id})/timeRegistrationEntries({timeRegistrationEntry_id})
GET /companies({company_id})/employees({employee_id})/timeRegistrationEntries({timeRegistrationEntry_id})
operationId: TimeRegistrationEntry_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

employee_id path required string

(v1.0) id for employee

timeRegistrationEntry_id path required string

(v1.0) id for timeRegistrationEntry

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested timeRegistrationEntry

GET /companies({company_id})/employees({employee_id})/timeRegistrationEntries({timeRegistrationEntry_id})
PATCH /companies({company_id})/employees({employee_id})/timeRegistrationEntries({timeRegistrationEntry_id})
operationId: TimeRegistrationEntry_updateDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

employee_id path required string

(v1.0) id for employee

timeRegistrationEntry_id path required string

(v1.0) id for timeRegistrationEntry

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema TimeRegistrationEntryCreateDynamicsObjectRequest

Responses

200

(v1.0) Succesfully updated the specifiedtimeRegistrationEntry

PATCH /companies({company_id})/employees({employee_id})/timeRegistrationEntries({timeRegistrationEntry_id})
GET /companies({company_id})/timeRegistrationEntries
operationId: TimeRegistrationEntry_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of timeRegistrationEntries

GET /companies({company_id})/timeRegistrationEntries
POST /companies({company_id})/timeRegistrationEntries
operationId: TimeRegistrationEntry_createDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

Request Body

application/json
schema TimeRegistrationEntryCreateDynamicsObjectRequest

Responses

201

(v1.0) A new timeRegistrationEntry has been succesfully created

POST /companies({company_id})/timeRegistrationEntries
DELETE /companies({company_id})/timeRegistrationEntries({timeRegistrationEntry_id})
operationId: TimeRegistrationEntry_deleteObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

timeRegistrationEntry_id path required string

(v1.0) id for timeRegistrationEntry

Responses

204

(v1.0) Succesfully deleted the specified timeRegistrationEntry

DELETE /companies({company_id})/timeRegistrationEntries({timeRegistrationEntry_id})
GET /companies({company_id})/timeRegistrationEntries({timeRegistrationEntry_id})
operationId: TimeRegistrationEntry_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

timeRegistrationEntry_id path required string

(v1.0) id for timeRegistrationEntry

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested timeRegistrationEntry

GET /companies({company_id})/timeRegistrationEntries({timeRegistrationEntry_id})
PATCH /companies({company_id})/timeRegistrationEntries({timeRegistrationEntry_id})
operationId: TimeRegistrationEntry_updateObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

timeRegistrationEntry_id path required string

(v1.0) id for timeRegistrationEntry

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema TimeRegistrationEntryCreateDynamicsObjectRequest

Responses

200

(v1.0) Succesfully updated the specifiedtimeRegistrationEntry

PATCH /companies({company_id})/timeRegistrationEntries({timeRegistrationEntry_id})

Trialbalance 2 endpoints

GET /companies({company_id})/trialBalance
operationId: TrialBalance_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of trialBalance

GET /companies({company_id})/trialBalance
GET /companies({company_id})/trialBalance('{trialBalance_number}')
operationId: TrialBalance_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

trialBalance_number path required string

(v1.0) number for trialBalance

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested trialBalance

GET /companies({company_id})/trialBalance('{trialBalance_number}')

Unitofmeasure 5 endpoints

GET /companies({company_id})/unitsOfMeasure
operationId: UnitOfMeasure_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of unitsOfMeasure

GET /companies({company_id})/unitsOfMeasure
POST /companies({company_id})/unitsOfMeasure
operationId: UnitOfMeasure_createD365Object

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

Request Body

application/json
schema UnitOfMeasureCreateD365ObjectRequest

Responses

201

(v1.0) A new unitOfMeasure has been succesfully created

POST /companies({company_id})/unitsOfMeasure
DELETE /companies({company_id})/unitsOfMeasure({unitOfMeasure_id})
operationId: UnitOfMeasure_deleteObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

unitOfMeasure_id path required string

(v1.0) id for unitOfMeasure

Responses

204

(v1.0) Succesfully deleted the specified unitOfMeasure

DELETE /companies({company_id})/unitsOfMeasure({unitOfMeasure_id})
GET /companies({company_id})/unitsOfMeasure({unitOfMeasure_id})
operationId: UnitOfMeasure_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

unitOfMeasure_id path required string

(v1.0) id for unitOfMeasure

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested unitOfMeasure

GET /companies({company_id})/unitsOfMeasure({unitOfMeasure_id})
PATCH /companies({company_id})/unitsOfMeasure({unitOfMeasure_id})
operationId: UnitOfMeasure_updateObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

unitOfMeasure_id path required string

(v1.0) id for unitOfMeasure

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema UnitOfMeasureCreateD365ObjectRequest

Responses

200

(v1.0) Succesfully updated the specifiedunitOfMeasure

PATCH /companies({company_id})/unitsOfMeasure({unitOfMeasure_id})

Vendor 5 endpoints

GET /companies({company_id})/vendors
operationId: Vendor_list

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of vendors

GET /companies({company_id})/vendors
POST /companies({company_id})/vendors
operationId: Vendor_createDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

Request Body

application/json
schema VendorCreateDynamicsObjectRequest

Responses

201

(v1.0) A new vendor has been succesfully created

POST /companies({company_id})/vendors
DELETE /companies({company_id})/vendors({vendor_id})
operationId: Vendor_deleteD365Object

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

vendor_id path required string

(v1.0) id for vendor

Responses

204

(v1.0) Succesfully deleted the specified vendor

DELETE /companies({company_id})/vendors({vendor_id})
GET /companies({company_id})/vendors({vendor_id})
operationId: Vendor_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

vendor_id path required string

(v1.0) id for vendor

$expand query optional array

(v1.0) Entities to expand

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested vendor

GET /companies({company_id})/vendors({vendor_id})
PATCH /companies({company_id})/vendors({vendor_id})
operationId: Vendor_updateDynamicsObject

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

vendor_id path required string

(v1.0) id for vendor

If-Match header optional string

(v1.0) Required. When this request header is included and the eTag provided does not match the current tag on the entity, this will not be updated.

Request Body

application/json
schema VendorCreateDynamicsObjectRequest

Responses

200

(v1.0) Succesfully updated the specifiedvendor

PATCH /companies({company_id})/vendors({vendor_id})

Vendorpurchase 2 endpoints

GET /companies({company_id})/vendorPurchases
operationId: VendorPurchase_getList

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

$top query optional integer

(v1.0) Number of items to return from the top of the list

$skip query optional integer

(v1.0) Number of items to skip from the list

$limit query optional integer

(v1.0) Number of items to return from the list

$filter query optional string

(v1.0) Filtering expression

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned a list of vendorPurchases

GET /companies({company_id})/vendorPurchases
GET /companies({company_id})/vendorPurchases({vendorPurchase_vendorId},'{vendorPurchase_vendorNumber}','{vendorPurchase_name}')
operationId: VendorPurchase_getProperties

Parameters

Name In Required Type Description
company_id path required string

(v1.0) id for company

vendorPurchase_vendorId path required string

(v1.0) vendorId for vendorPurchase

vendorPurchase_vendorNumber path required string

(v1.0) vendorNumber for vendorPurchase

vendorPurchase_name path required string

(v1.0) name for vendorPurchase

$select query optional array

(v1.0) Selected properties to be retrieved

Responses

200

(v1.0) Succesfully returned the requested vendorPurchase

GET /companies({company_id})/vendorPurchases({vendorPurchase_vendorId},'{vendorPurchase_vendorNumber}','{vendorPurchase_name}')